Package com.google.android.exoplayer2.transformer

## Interface EncoderBitrateProvider

- All Known Implementing Classes:
    `DeviceMappedEncoderBitrateProvider`

      public interface EncoderBitrateProvider

  Provides bitrates for encoders to use as a target.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBitrate​(String encoderName, int width, int height, float frameRate)` | Returns a recommended bitrate that the encoder should target.

- - ### Method Detail

    - #### getBitrate

          int getBitrate​(String encoderName,
                         int width,
                         int height,
                         float frameRate)

      Returns a recommended bitrate that the encoder should target.
      Parameters:
        `encoderName` - The name of the encoder, see `MediaCodecInfo.getName()`.
        `width` - The output width of the video after encoding.
        `height` - The output height of the video after encoding.
        `frameRate` - The expected output frame rate of the video after encoding.
      Returns:
        The bitrate the encoder should target.